Skip to content

Get employee by ID

Request

Get employee by ID

Security
oauth2(Required scopes: employee:read) or bearerAuth or apiKeyHeader
Path
employeeIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The unique employee identifier.

GET
/employees/{employeeId}
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/employees/{employeeId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
messagestring

Description of the server action or error.

statusinteger

HTTP status code.

dataobject(Employee)

An employee in the company

Response
{ "message": "string", "status": 0, "data": { "createdAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "id": "string", "updatedAt": "2019-08-24T14:15:22Z", "firstName": "string", "lastName": "string", "assignedInvestorIds": [], "availableAndPermittedTasktypes": [], "companyId": "string", "displayName": "string", "email": "string", "externalId": "string", "jobName": "string", "object": "Employee", "phone": "string", "teams": [], "user": {} } }